Submitted by:            Xi Ruoyao <xry111@mengyan1223.wang>
Date:                    2020-08-14
Initial Package Version: 13.0
Upstream Status:         Submitted
Origin:                  https://gitlab.freedesktop.org/pulseaudio/pulseaudio/-/merge_requests/312
Description:             Allows to Pulseaudio using memfd_create instead
                         of shm_open with meson.  shm_open does not work
						 well with sandboxes (e. g. Bubblewrap).

From 0547ae49bae02c7a7f593aa4c9b5f0e2358aad91 Mon Sep 17 00:00:00 2001
From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
Date: Wed, 17 Jun 2020 20:01:15 +0200
Subject: [PATCH] build-sys: meson: Fix detection of SYS_memfd_create

It's a define resolving to a number, not a function.
---
 meson.build | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index abb0ba21c..63216bc1c 100644
--- a/meson.build
+++ b/meson.build
@@ -292,7 +292,7 @@ foreach f : check_functions
   endif
 endforeach
 
-if cc.has_function('SYS_memfd_create', prefix : '#include <sys/syscall.h>')
+if cc.has_header_symbol('sys/syscall.h', 'SYS_memfd_create')
   cdata.set('HAVE_MEMFD', 1)
 endif
 
-- 
GitLab

